clc
clear

connection=zeros(3,2);
connection(3,2)=1;

ex_trq=zeros(3,2);
ex_trq(2,1)=1;
ex_trq(3,1)=1;
ex_trq(3,2)=1;
                 
CL_connection=[
    1 2 1 3;
    2 1 2 3
    0 0 2 1
    ]';

CL_state=[0 0 0];

eqs=autoEQ(connection,ex_trq,CL_connection,CL_state,[],[],{'aR1','aC1','aR2'});

disp('A*X = B*Y')
disp('A is')
disp(eqs.A)

disp('X is')
disp(eqs.X)

disp('B is')
disp(eqs.B)

disp('Y is')
disp(eqs.Y)

disp('state-space model is')
disp('As*Xs = Bs*Ys')

disp('derivatives of state variables are Xs')
disp(eqs.Xs)

disp('inputs are Ys')
disp(eqs.Ys)

disp('As is')
disp(eqs.As)

disp('Bs is')
disp(eqs.Bs)


J=[0.01, 0.01, 0.01;0.01, 0.01, 0.01]';

k=[2 2];


%substitute the symbolic variables with numeric ones
A=fsubs(eqs.A,{eqs.J,eqs.k},{J,k});
B=fsubs(eqs.B,{eqs.J,eqs.k},{J,k});

% the numeric matrix
C=A\B;